Get connector
GET
/api/v1/workspaces/{workspace_id}/connectors/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/connectors/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/connectors/1 \ --header 'Authorization: Bearer <token>'Retrieves a single connector by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Connector ID
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
integration_name
required
string
settings
required
object
setup_fields
object
key
additional properties
string
export_images
Whether image-library images should be uploaded to this connector during connector exports.
boolean
key
additional properties
any
created_at
required
string format: date-time
updated_at
required
string format: date-time
oauth_authorization_url
required
string
dynamic_content_profile_id
required
When set, exports created with this connector will always use this dynamic content profile.
string format: uuid
Example
{ "id": 12345, "name": "Mailchimp", "integration_name": "mailchimp", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z", "oauth_authorization_url": "https://app.constantcontact.com/oauth2/v1/authorize?client_id=12345&redirect_uri=https://app.constantcontact.com/oauth2/v1/callback&response_type=code&scope=email_profile_read"}